Subject: Free Rare Plant Newsletter

From: Gary Poyssick <[email-masked]>
Date: 30 Aug 1995 12:06:57 GMT

This company offers a free newsletter, that's also a listing of what 
they have to sell, that many of you might find very interesting. It has 
great line art illustrations and good stories of interest (travel, 
collecting, culture, taxonomic, etc.)

They specialize in bromeliads (a huge grower) but also come across many, 
many strange and unusual things (succulents, caudiciforms, and other 
stuff)

I am a client and in no way affiliated with the company, but getting 
this newsletter is a pleasure to anyone who loves strange plants. Even 
if you don't buy anything the descriptions and cultural info alone is 
worth the letter to get on their mailing list:

Tropiflora
3530 Tallevast Road
Sarasota, Florida 34243

Enjoy!